%define name pdfcrack
%define version 0.15

%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary: PDF files password cracker
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Text tools
Url: http://pdfcrack.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
pdfcrack is a simple tool for recovering passwords from pdf-documents. It should be able 
to handle all pdfs that uses the standard security handler but the pdf-parsing routines 
are a bit of a quick hack so you might stumble across some pdfs where the parser needs 
to be fixed to handle.

pdfcrack allows configure the size of the searched password, use an external wordlist 
file and save cracking sessions to restore it later. 

%prep
%setup -q -n %{name}-%{version}

%build
%make

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m755 %{name} $RPM_BUILD_ROOT%{_bindir}/
install -m755 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/

bzip2 -z $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root)
%doc changelog COPYING README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2


%changelog
* Mon Nov 14 2016 adrianomorselli <adrianomorselli> 0.15-1uplos2016
- rebuild

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 0.15-1pclos2016
- 0.15
- compress source with tar.xz
- rename spec to pclos-pdfcrack.spec

* Wed Aug 20 2008 Matthew Dawkins <mdawkins@osource.org> 0.11-1
- first build for pdfcrack
